<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping>

    <class name="cn.com.usky.iot.entity.YtiotTEfAnalysis" table="ytiot_t_ef_analysis" schema="ytIoT">
        <id name="id">
            <column name="id" sql-type="int(10) unsigned"/>
        </id>
        <property name="companyCode">
            <column name="company_code" sql-type="varchar(10)" length="10" not-null="true"/>
        </property>
        <property name="dataStatistics">
            <column name="data_statistics" sql-type="varchar(255)" length="255" not-null="true"/>
        </property>
        <property name="dispersionRate">
            <column name="dispersion_rate" sql-type="text" not-null="false"/>
        </property>
        <property name="electricalAging">
            <column name="electrical_aging" sql-type="text" not-null="false"/>
        </property>
        <property name="thermalAging">
            <column name="thermal_aging" sql-type="text" not-null="false"/>
        </property>
        <property name="projectSituation">
            <column name="project_situation" sql-type="text" not-null="false"/>
        </property>
        <property name="equipmentList">
            <column name="equipment_list" sql-type="text" not-null="false"/>
        </property>
        <property name="statisticalPeriod">
            <column name="statistical_period" sql-type="text" not-null="false"/>
        </property>
        <property name="creatTime">
            <column name="creat_time" sql-type="datetime" not-null="false"/>
        </property>
        <property name="generationTime">
            <column name="generation_time" sql-type="varchar(25)" length="25" not-null="false"/>
        </property>
    </class>
</hibernate-mapping>